%define api		1.24
%define lib_major	0
%define lib_name	%mklibname glom %{api} %{lib_major}
%define develname	%mklibname -d glom
%define postgresql	9.3

%define url_ver %(echo %version | cut -d. -f1,2)

Summary:	Easy-to-use database designer and user interface
Name:		glom
Version:	1.24.1
Release:	%mkrel 4
Group:		Development/Databases
License:	GPLv2+
URL:		http://www.glom.org/
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(evince-view-3.0)
BuildRequires:	pkgconfig(giomm-2.4) >= 2.31.0
BuildRequires:	pkgconfig(goocanvasmm-2.0) >= 1.90.3
BuildRequires:	pkgconfig(gtkmm-3.0) >= 2.99.1
BuildRequires:	pkgconfig(gtksourceviewmm-3.0) >= 3.0.0
BuildRequires:	pkgconfig(iso-codes)
BuildRequires:	pkgconfig(libepc-1.0) >= 0.4.0
BuildRequires:	pkgconfig(libgdamm-5.0) >= 4.99.6
BuildRequires:	pkgconfig(libgda-5.0) >= 5.0.3
BuildRequires:	pkgconfig(libgda-postgres-5.0)
BuildRequires:	pkgconfig(libgda-sqlite-5.0)
BuildRequires:	pkgconfig(libxml++-2.6) >= 2.23.1
BuildRequires:	pkgconfig(libxslt) >= 1.1.10
BuildRequires:	pkgconfig(pygobject-3.0) >= 2.29.0
BuildRequires:	boost-devel
BuildRequires:	intltool
BuildRequires:	gnome-doc-utils
BuildRequires:	python-sphinx
BuildRequires:	libxslt-proc
BuildRequires:	postgresql%{postgresql}-devel postgresql%{postgresql}-plpython postgresql%{postgresql}-server postgresql%{postgresql}-plpython postgresql%{postgresql}-plpgsql postgresql%{postgresql}-pl postgresql%{postgresql}-contrib
BuildRequires:	gettext-devel
Requires:	libgda5.0-postgres
Requires:	libgda5.0-sqlite
Requires:	postgresql%{postgresql} postgresql%{postgresql}-plpython postgresql%{postgresql}-server postgresql%{postgresql}-plpython postgresql%{postgresql}-plpgsql postgresql%{postgresql}-pl postgresql%{postgresql}-contrib
Requires:	typelib(Gda)
Requires:	typelib(GData)
Requires:	typelib(Gdaui)
Requires:	python-gi
Suggests:	evince

%description
Glom lets you design database systems - the database and the user
interface. Glom has high-level features such as relationships,
lookups, related fields, related records, calculated fields, drop-down
choices, searching, reports, users and groups. It has Numeric, Text,
Date, Time, Boolean, and Image field types. Glom systems require
almost no programming, but you may use Python for calculated fields or
buttons. Glom uses the postgresql%{postgresql} database backend.

%package -n %{lib_name}
Summary:	A support library for accessing Glom data
Group:		System/Libraries

%description -n %{lib_name}
A support library for accessing Glom data.

%package -n %{develname}
Summary:	Development files for Glom
Group:		Development/Other
Requires:	%{lib_name} = %version

%description -n %{develname}
Development files for Glom.

%prep
%setup -q

%build
%configure2_5x \
        --disable-dependency-tracking \
        --disable-static \
        --disable-update-mime-database \
        --disable-scrollkeeper \
	--with-boost-python=boost_python-mt \
	--with-postgres-utils=%{_bindir}
%make

%install
%makeinstall_std

%find_lang %{name} --with-gnome

for omf in %{buildroot}%{_datadir}/omf/*/*-??*.omf;do 
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed -e s!%{buildroot}!!)" >> %{name}.lang
done

#we don't want these
find %{buildroot} -type f -name "*.la" -delete

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/%{name}*
%{py_platsitedir}/*.so
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/*
%{_datadir}/mime/packages/%{name}.xml
%dir %{_datadir}/omf/%{name}
%{_datadir}/omf/%{name}/%{name}-C.omf
%{_datadir}/appdata/%{name}.appdata.xml

%files -n %{lib_name}
%{_libdir}/libglom-%{api}.so.%{lib_major}*

%files -n %{develname}
%{_libdir}/libglom-%{api}.so
%{_includedir}/%{name}-%{api}
%{_libdir}/pkgconfig/%{name}-%{api}.pc
%doc %{_datadir}/doc/pyglom*
%doc %{_datadir}/doc/libglom-%api
%doc %{_datadir}/devhelp/books/*


%changelog
* Sun Dec 29 2013 doktor5000 <doktor5000> 1.24.1-4.mga4
+ Revision: 563207
- add missing Requires on runtime dependencies to fix (mga#12138)
  o typelib(GData)
  o typelib(Gdaui)
  o Suggests on evince to fix EvinceDocument-WARNING

  + fwang <fwang>
    - fix bug#12138: add more requirements

* Sat Oct 19 2013 umeabot <umeabot> 1.24.1-2.mga4
+ Revision: 536347
- Mageia 4 Mass Rebuild

* Mon Sep 23 2013 ovitters <ovitters> 1.24.1-1.mga4
+ Revision: 484167
- new version 1.24.1

* Tue Sep 10 2013 fwang <fwang> 1.24.0-3.mga4
+ Revision: 477064
- rebuild for new postgresql

* Tue Jul 09 2013 fwang <fwang> 1.24.0-2.mga4
+ Revision: 451663
- rebuild for new boost

* Sat May 25 2013 ovitters <ovitters> 1.24.0-1.mga4
+ Revision: 427372
- fix api
- new version 1.24.0

* Thu Apr 11 2013 ennael <ennael> 1.22.1-5.mga3
+ Revision: 409610
- rebuild for boost 1.53

* Sat Jan 12 2013 umeabot <umeabot> 1.22.1-4.mga3
+ Revision: 351825
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 fwang <fwang> 1.22.1-3.mga3
+ Revision: 332938
- rebuild for new boost

* Sat Nov 17 2012 fwang <fwang> 1.22.1-2.mga3
+ Revision: 319094
- br pg 9.2

* Thu Nov 08 2012 fwang <fwang> 1.22.1-1.mga3
+ Revision: 316327
- new version 1.22.1

* Tue Jul 31 2012 fwang <fwang> 1.22.0-2.mga3
+ Revision: 276563
- rebuild for new boost

* Wed Apr 11 2012 ovitters <ovitters> 1.22.0-1.mga3
+ Revision: 230211
- new version 1.22.0
- new version 1.21.8

* Thu Mar 22 2012 ovitters <ovitters> 1.21.7-2.mga2
+ Revision: 225771
- rebuild for new evince
- new version 1.21.7

* Tue Mar 06 2012 fwang <fwang> 1.21.6-1.mga2
+ Revision: 220359
- new version 1.21.6

* Wed Jan 25 2012 fwang <fwang> 1.21.5-1.mga2
+ Revision: 201213
- new version 1.21.5

* Tue Jan 24 2012 fwang <fwang> 1.21.4-1.mga2
+ Revision: 200615
- new version 1.21.4

* Tue Jan 17 2012 fwang <fwang> 1.21.3-1.mga2
+ Revision: 197497
- new version 1.21.3

* Thu Jan 12 2012 fwang <fwang> 1.21.2-1.mga2
+ Revision: 195142
- new version 1.21.2

* Mon Jan 02 2012 fwang <fwang> 1.21.1-1.mga2
+ Revision: 189566
- new version 1.21.1

* Sat Dec 31 2011 fwang <fwang> 1.20.4-1.mga2
+ Revision: 189200
- new version 1.20.4

* Thu Dec 22 2011 fwang <fwang> 1.20.3-1.mga2
+ Revision: 186011
- new version 1.20.3

* Tue Dec 13 2011 fwang <fwang> 1.20.2-1.mga2
+ Revision: 181241
- new version 1.20.2

* Wed Nov 30 2011 fwang <fwang> 1.20.1-1.mga2
+ Revision: 174320
- bump req
- new version 1.20.1
- rebuild for new boost

* Thu Nov 17 2011 wally <wally> 1.19.19-1.mga2
+ Revision: 168516
- new version 1.19.19

* Fri Oct 28 2011 wally <wally> 1.19.16-1.mga2
+ Revision: 159223
- new version 1.19.16

* Wed Oct 19 2011 fwang <fwang> 1.19.14-1.mga2
+ Revision: 156445
- drop merged patch
- new version 1.19.14

* Tue Oct 18 2011 wally <wally> 1.19.13-1.mga2
+ Revision: 156156
- new version 1.19.13

* Tue Oct 11 2011 wally <wally> 1.19.12-1.mga2
+ Revision: 153831
- handle more files with find_lang macro
- new version 1.19.12
- clean .spec a bit

* Sat Sep 24 2011 fwang <fwang> 1.19.11-2.mga2
+ Revision: 147329
- fix gdamm req in .pc file
- update file list
- br python-sphinx for doc
- use mt flavour
- versioned br
- br epc
- commit spec
- Created package structure for glom.

